For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Shipping Method

This will get the available shipping methods, it will return an array of shipping methods for each bag in the cart.

Note: For more information on this endpoint go to the API Reference

Once the Shipping and Billing Address are set, then you can get the shipping methods available for a cart (and bags within the cart).

Get Available Shipping Methods

get
Path parameters
cart_idinteger · int64Required
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
200

success

application/json

Order Shipping Method Wrapper

bag_idinteger · int64Optional
get/checkout/cart/{cart_id}/shipping/available
GET /v1/checkout/cart/{cart_id}/shipping/available HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
[
  {
    "bag_id": 11111,
    "shipping_methods": [
      {
        "carrier": "OTHER",
        "label": "Free Ground Shipping",
        "price": 0,
        "shipping_method_id": "904508f53e55effda7fe3ed2aee21132",
        "bag_id": 99999,
        "merchant_id": 11111
      },
      {
        "carrier": "USPS",
        "label": "Priority Mail",
        "price": 664,
        "shipping_method_id": "07d19139fc0f4558687c1900c696f071",
        "bag_id": 99999,
        "merchant_id": 11111
      }
    ]
  }
]

Last updated

Was this helpful?